.video .anrt-cookiebotconsent-optout {
  top: 50%;
  right: 0;
  left: 0;
  max-width: calc(100% - var(--anrt-spacing-600));
  max-height: calc(100% - var(--anrt-spacing-600));
  margin: 0 auto;
  transform: translateY(-50%);
  background: var(--anrt-color-primary);
}

.video .anrt-cookiebotconsent-optout a {
  padding: var(--anrt-spacing-033) var(--anrt-spacing-100); /* Height should be 43px = 27px + 2 * 8px */
  transition: all 200ms linear;
  text-align: left;
  text-decoration: none !important;
  color: var(--anrt-color-grey-05) !important;
  border-radius: 100px;
  background-color: var(--anrt-color-secondary);
  font-size: var(--anrt-font-size-100); /* 16px */
  line-height: var(--anrt-line-height-xsmall);

  &:is(:hover, :focus, :focus-within) {
    text-decoration: none !important;
    color: var(--anrt-color-white) !important;
    background: var(--anrt-color-blue-21);
  }
}

.video video {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
}

.video__media {
  position: relative;
  overflow: hidden;
  width: 100%;
  max-width: var(--anrt-width-tablet-l);
  border-radius: var(--anrt-radius);
  aspect-ratio: 16 / 9;
}

.video__media-placeholder::after {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  content: "";
  transition: all var(--anrt-transition-time) linear;
  opacity: 0.2;
  background: var(--anrt-color-black);
}

.video__media-placeholder:hover::after,
.video__media-placeholder:focus::after,
.video__media-placeholder:focus-within::after {
  opacity: 0.4;
}

.video__media-placeholder {
  position: relative;
  z-index: 2;
  text-align: center;
}

.video__media-placeholder img {
  width: 100%;
  object-fit: cover;
  object-position: center;
  aspect-ratio: 16 / 9;
}

.video__media-placeholder button {
  position: absolute;
  z-index: 3;
  top: 50%;
  right: 0;
  left: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: var(--anrt-spacing-225);
  height: var(--anrt-spacing-225);
  margin: 0 auto;
  transition: all var(--anrt-transition-time) linear;
  transform: translateY(-50%);
  border: none;
  border-radius: var(--anrt-radius-large);
  background: var(--anrt-color-white);
  appearance: none;
}

.video__media:hover button svg path,
.video__media:focus button svg path,
.video__media:focus-within button svg path {
  fill: var(--anrt-color-blue-21);
}

.video__media-video {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video__caption {
  display: block;
  margin-top: var(--anrt-spacing-050);
}

/* Video video with overlay to play the video. */
.video_dialog-container[aria-hidden="true"] {
  display: none;
}

.video_dialog-container {
  position: fixed;
  z-index: 100;
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr;
  align-items: center;
  justify-items: center;
  inset: 0;
}

.video-dialog-overlay {
  width: 100%;
  height: 100%;
  opacity: 0.8;
  filter: blur(0.2);
  background: var(--anrt-color-black);
}

.video-dialog__content {
  position: fixed;
  top: 50%;
  right: 0;
  left: 0;
  max-width: 90vw;
  margin: 0 auto;
  padding: var(--anrt-spacing-100);
  transform: translateY(-50%);
  border-radius: var(--anrt-radius);
  background: var(--anrt-color-white);
}

@media screen and (min-width: 48em) {
  .video-dialog__content {
    top: initial;
    width: 100%;
    max-width: var(--anrt-width-desktop-s);
    padding: var(--anrt-spacing-200);
    transform: none;
    background: var(--anrt-color-white);
    aspect-ratio: 16 / 9;
  }
}

.video-dialog-close {
  float: right;
  margin-top: calc(-1 * var(--anrt-spacing-025));
  margin-bottom: var(--anrt-spacing-100);
  margin-left: var(--anrt-spacing-050);
  padding: var(--anrt-spacing-025);
  border: 2px solid var(--anrt-color-primary);
  border-radius: var(--anrt-radius);
  background: transparent;

  .slimline-icon--large svg {
    fill: var(--anrt-color-primary);
    height: var(--anrt-spacing-125);
  }

  &:hover .slimline-icon--large svg {
    fill: var(--anrt-color-white);
  }
}

@media screen and (min-width: 48em) {
  .video-dialog-close {
    position: absolute;
    top: var(--anrt-spacing-033);
    right: var(--anrt-spacing-033);
    margin: 0;
  }
}

.media-oembed-content {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}
